> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post news feedbackcommandscreate



## OpenAPI

````yaml /api-reference/oda-news-service-1.0.0.yml post /news/{newsId}/feedback/commands/create
openapi: 3.0.1
info:
  title: ODA News Service
  description: News Service API
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /news/{newsId}/feedback/commands/create:
    post:
      operationId: createFeedback
      parameters:
        - name: newsId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFeedbackCommand'
        required: true
      responses:
        '200':
          description: createFeedback 200 response
components:
  schemas:
    CreateFeedbackCommand:
      required:
        - rating
      type: object
      properties:
        rating:
          type: integer
          format: int32

````